Create the customer's link to the current version
const url = 'https://api.vocapable.com/v1/workspace/quotes/example/share';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"expected_revision":1,"expires_in_days":14}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/workspace/quotes/example/share \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "expected_revision": 1, "expires_in_days": 14 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”object
Responses
Section titled “Responses”Successful Response
The customer link, shown ONCE: only its hash is stored.
object
object
A teammate named on a record: the id the server holds and the name to show.
object
object
object
object
object
A teammate named on a record: the id the server holds and the name to show.
object
A teammate named on a record: the id the server holds and the name to show.
object
A teammate named on a record: the id the server holds and the name to show.
object
object
object
object
A teammate named on a record: the id the server holds and the name to show.
object
A teammate named on a record: the id the server holds and the name to show.
object
A teammate named on a record: the id the server holds and the name to show.
object
object
A teammate named on a record: the id the server holds and the name to show.
object
object
A teammate named on a record: the id the server holds and the name to show.
object
Example
{ "link": { "purpose": "quote", "state": "live" }, "quote": { "status": "draft", "current_version": { "status": "draft", "tax_treatment": "not_calculated", "pricing_review": "none", "approval": { "state": "not_required" }, "acceptance": { "accepted_via": "portal" } }, "versions": [ { "status": "draft", "tax_treatment": "not_calculated", "pricing_review": "none", "approval": { "state": "not_required" }, "acceptance": { "accepted_via": "portal" } } ], "share_links": [ { "purpose": "quote", "state": "live" } ], "payments": [ { "kind": "deposit", "status": "draft", "provider": "stripe", "environment": "test" } ] }}Validation Error
object
object
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}